org.apache.cassandra.db.rows

## Class WithOnlyQueriedData<I extends BaseRowIterator<?>>

- java.lang.Object
- - org.apache.cassandra.db.transform.Transformation<I>
  - - org.apache.cassandra.db.rows.WithOnlyQueriedData<I>

    public class WithOnlyQueriedData<I extends BaseRowIterator<?>>
    extends Transformation<I>

Function to skip cells (from an iterator) that are not part of those queried by the user according to the provided `ColumnFilter`. See `UnfilteredRowIterators.withOnlyQueriedData(org.apache.cassandra.db.rows.UnfilteredRowIterator, org.apache.cassandra.db.filter.ColumnFilter)` for more details.

### Constructor Summary

Constructors
Constructor and Description
`WithOnlyQueriedData(ColumnFilter filter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected PartitionColumns` `applyToPartitionColumns(PartitionColumns columns)` Applied to the `PartitionColumns` of any rows iterator.
`protected Row` `applyToRow(Row row)` Applied to any row we encounter in a rows iterator
`protected Row` `applyToStatic(Row row)` Applied to the static row of any rows iterator.

### Methods inherited from class org.apache.cassandra.db.transform.Transformation

`apply, apply, apply, apply, applyToDeletion, applyToMarker, applyToPartition, applyToPartitionKey, onClose, onPartitionClose`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WithOnlyQueriedData

    public WithOnlyQueriedData(ColumnFilter filter)

### Method Detail

#### applyToPartitionColumns

    protected PartitionColumns applyToPartitionColumns(PartitionColumns columns)

Description copied from class: `Transformation`
Applied to the `PartitionColumns` of any rows iterator. NOTE: same remark than for applyToDeletion: it is only applied to the first iterator in a sequence of iterators filled by MoreContents.

Overrides:
  `applyToPartitionColumns` in class `Transformation<I extends BaseRowIterator<?>>`

#### applyToStatic

    protected Row applyToStatic(Row row)

Description copied from class: `Transformation`
Applied to the static row of any rows iterator. NOTE that this is only applied to the first iterator in any sequence of iterators filled by a MoreContents; the static data for such iterators is all expected to be equal

Overrides:
  `applyToStatic` in class `Transformation<I extends BaseRowIterator<?>>`

#### applyToRow

    protected Row applyToRow(Row row)

Description copied from class: `Transformation`
Applied to any row we encounter in a rows iterator

Overrides:
  `applyToRow` in class `Transformation<I extends BaseRowIterator<?>>`